#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		perl_vendorarch	 %{_datadir}/perl5/core_perl/x86_64-linux
#-----------------------------------------------------------------------------
Name		:	perl-Net-IP
Version		:	1.26
Release		:	17.2.100.rel%{?dist}
Summary		:	Perl module for manipulation of IPv4 and IPv6 addresses
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Net::Daemon

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
This is the Net::IP module, designed to allow
easy manipulation of IPv4 and IPv6 addresses.
 
Two applications using the Net::IP module are
included: ipcount, an IP address mini-calculator,
which can calculate the number of IP addresses
in a prefix or all the prefixes contained in
a given range; and iptab, which prints out a
handy IP "cheat sheet".

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc Changes README
%{_bindir}/ipcount
%{_bindir}/iptab
%{_datadir}/perl5/core_perl/Net/IP.pm
%{_mandir}/man3/Net::IP.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__make}							\
	test


#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%changelog
